%define name python-twisted-runner
%define version 11.1.0
%define rel 1
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        Runner has process management, including an inetd replacement for Twisted
Name:           %{name}
Version:        %{version}
Release:	%mkrel %{rel}
Source0:        http://tmrc.mit.edu/mirror/twisted/Runner/%{mainver}/TwistedRunner-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedRunner
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel python-twisted-core
Requires:       python-twisted-core

%description
Runner has process management, including an inetd replacement for Twisted.

%prep
%setup -q -n TwistedRunner-%version

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %py_platsitedir/twisted/runner
%py_platsitedir/twisted/runner/*
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info


%changelog

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171299
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109984
- new version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55777
- update to 10.2.0

* Sun Jan 23 2011 ennael <ennael> 10.1.0-2.mga1
+ Revision: 34711
- imported package python-twisted-runner


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 590589
- rebuild for python 2.7

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555038
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514226
- Update to 10.0.0.

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 9.0.0-1mdv2010.1
+ Revision: 485573
- Update to new version 9.0.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323860
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.0.0-2mdv2009.1
+ Revision: 318665
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.0.0-1mdv2009.0
+ Revision: 219091
-update to new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.2.0-1mdv2008.1
+ Revision: 126231
- kill re-definition of %%buildroot on Pixel's request


* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 96972
- Rebuild against new python
- Import python-twisted-runner

* Sat Jul 15 2006 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package

